Holger's Java API

## com.antelmann.calendar
Class CalendarChangeEvent

    java.lang.Object
      java.util.EventObject
          com.antelmann.calendar.CalendarChangeEvent

All Implemented Interfaces:
  Serializable

    public class CalendarChangeEvent

extends EventObject

used when a CalendarTableModel fires events upon data changes

Author:
  Holger Antelmann
See Also:
  `CalendarTableModel`, Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`CalendarChangeEvent(CalendarModel source)`
`CalendarChangeEvent(CalendarModel source, Date firstChangedDate, Date lastChangedDate)`

Method Summary
`Date` `getFirstChangedDate()`
`Date` `getLastChangedDate()`
`CalendarModel` `getSource()`

Methods inherited from class java.util.EventObject
`toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CalendarChangeEvent

    public CalendarChangeEvent(CalendarModel source)

### CalendarChangeEvent

    public CalendarChangeEvent(CalendarModel source,
                               Date firstChangedDate,
                               Date lastChangedDate)

Method Detail

### getFirstChangedDate

    public Date getFirstChangedDate()

### getLastChangedDate

    public Date getLastChangedDate()

### getSource

    public CalendarModel getSource()

  Overrides:
    `getSource` in class `EventObject`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads